docs/ai-agents/connectors/zendesk-chat/REFERENCE.md
This is the full reference documentation for the Zendesk-Chat agent connector.
The Zendesk-Chat connector supports the following entities and actions.
| Entity | Actions |
|---|---|
| Accounts | Get |
| Agents | List, Get, Search |
| Agent Timeline | List |
| Bans | List, Get |
| Chats | List, Get, Search |
| Departments | List, Get, Search |
| Goals | List, Get |
| Roles | List, Get |
| Routing Settings | Get |
| Shortcuts | List, Get, Search |
| Skills | List, Get |
| Triggers | List, Search |
Returns the account information for the authenticated user
await zendesk_chat.accounts.get()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "get"
}'
| Field Name | Type | Description |
|---|---|---|
account_key | string | |
status | string | null | |
create_date | string | null | |
billing | object | any | |
plan | object | any |
List all agents
await zendesk_chat.agents.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
limit | integer | No | |
since_id | integer | No |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
email | string | null | |
display_name | string | null | |
first_name | string | null | |
last_name | string | null | |
enabled | boolean | null | |
role_id | integer | null | |
roles | object | any | |
departments | array | null | |
enabled_departments | array | null | |
skills | array | null | |
scope | string | null | |
create_date | string | null | |
last_login | string | null | |
login_count | integer | null |
Get an agent
await zendesk_chat.agents.get(
agent_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "get",
"params": {
"agent_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
agent_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
email | string | null | |
display_name | string | null | |
first_name | string | null | |
last_name | string | null | |
enabled | boolean | null | |
role_id | integer | null | |
roles | object | any | |
departments | array | null | |
enabled_departments | array | null | |
skills | array | null | |
scope | string | null | |
create_date | string | null | |
last_login | string | null | |
login_count | integer | null |
Search and filter agents records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_chat.agents.search(
query={"filter": {"eq": {"id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | integer | Unique agent identifier |
email | string | Agent email address |
display_name | string | Agent display name |
first_name | string | Agent first name |
last_name | string | Agent last name |
enabled | boolean | Whether agent is enabled |
role_id | integer | Agent role ID |
departments | array | Department IDs agent belongs to |
create_date | string | When agent was created |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Unique agent identifier |
data[].email | string | Agent email address |
data[].display_name | string | Agent display name |
data[].first_name | string | Agent first name |
data[].last_name | string | Agent last name |
data[].enabled | boolean | Whether agent is enabled |
data[].role_id | integer | Agent role ID |
data[].departments | array | Department IDs agent belongs to |
data[].create_date | string | When agent was created |
List agent timeline (incremental export)
await zendesk_chat.agent_timeline.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agent_timeline",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
start_time | integer | No | |
limit | integer | No | |
fields | string | No |
| Field Name | Type | Description |
|---|---|---|
agent_id | integer | |
start_time | string | null | |
status | string | null | |
duration | number | null | |
engagement_count | integer | null |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
count | integer |
List all bans
await zendesk_chat.bans.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "bans",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
limit | integer | No | |
since_id | integer | No |
Get a ban
await zendesk_chat.bans.get(
ban_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "bans",
"action": "get",
"params": {
"ban_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ban_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
type | string | null | |
ip_address | string | null | |
visitor_id | string | null | |
visitor_name | string | null | |
reason | string | null | |
created_at | string | null |
List chats (incremental export)
await zendesk_chat.chats.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
start_time | integer | No | |
limit | integer | No | |
fields | string | No |
| Field Name | Type | Description |
|---|---|---|
id | string | |
type | string | null | |
timestamp | string | null | |
update_timestamp | string | null | |
duration | integer | null | |
department_id | integer | null | |
department_name | string | null | |
agent_ids | array | null | |
agent_names | array | null | |
visitor | object | any | |
session | object | any | |
history | array | null | |
history[].type | string | null | |
history[].timestamp | string | null | |
history[].name | string | null | |
history[].nick | string | null | |
history[].msg | string | null | |
history[].msg_id | string | null | |
history[].channel | string | null | |
history[].department_id | integer | null | |
history[].department_name | string | null | |
history[].rating | string | null | |
history[].new_rating | string | null | |
history[].tags | array | null | |
history[].new_tags | array | null | |
history[].options | string | null | |
engagements | array | null | |
engagements[].id | string | null | |
engagements[].agent_id | string | null | |
engagements[].agent_name | string | null | |
engagements[].agent_full_name | string | null | |
engagements[].department_id | integer | null | |
engagements[].timestamp | string | null | |
engagements[].duration | number | null | |
engagements[].accepted | boolean | null | |
engagements[].assigned | boolean | null | |
engagements[].started_by | string | null | |
engagements[].rating | string | null | |
engagements[].comment | string | null | |
engagements[].count | object | any | |
engagements[].response_time | object | any | |
engagements[].skills_requested | array | null | |
engagements[].skills_fulfilled | boolean | null | |
conversions | array | null | |
conversions[].id | string | null | |
conversions[].goal_id | integer | null | |
conversions[].goal_name | string | null | |
conversions[].timestamp | string | null | |
conversions[].attribution | object | any | |
count | object | any | |
response_time | object | any | |
rating | string | null | |
comment | string | null | |
tags | array | null | |
started_by | string | null | |
triggered | boolean | null | |
triggered_response | boolean | null | |
missed | boolean | null | |
unread | boolean | null | |
deleted | boolean | null | |
message | string | null | |
webpath | array | null | |
webpath[].from | string | null | |
webpath[].timestamp | string | null | |
zendesk_ticket_id | integer | null |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
count | integer |
Get a chat
await zendesk_chat.chats.get(
chat_id="<str>"
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "get",
"params": {
"chat_id": "<str>"
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
chat_id | string | Yes |
| Field Name | Type | Description |
|---|---|---|
id | string | |
type | string | null | |
timestamp | string | null | |
update_timestamp | string | null | |
duration | integer | null | |
department_id | integer | null | |
department_name | string | null | |
agent_ids | array | null | |
agent_names | array | null | |
visitor | object | any | |
session | object | any | |
history | array | null | |
history[].type | string | null | |
history[].timestamp | string | null | |
history[].name | string | null | |
history[].nick | string | null | |
history[].msg | string | null | |
history[].msg_id | string | null | |
history[].channel | string | null | |
history[].department_id | integer | null | |
history[].department_name | string | null | |
history[].rating | string | null | |
history[].new_rating | string | null | |
history[].tags | array | null | |
history[].new_tags | array | null | |
history[].options | string | null | |
engagements | array | null | |
engagements[].id | string | null | |
engagements[].agent_id | string | null | |
engagements[].agent_name | string | null | |
engagements[].agent_full_name | string | null | |
engagements[].department_id | integer | null | |
engagements[].timestamp | string | null | |
engagements[].duration | number | null | |
engagements[].accepted | boolean | null | |
engagements[].assigned | boolean | null | |
engagements[].started_by | string | null | |
engagements[].rating | string | null | |
engagements[].comment | string | null | |
engagements[].count | object | any | |
engagements[].response_time | object | any | |
engagements[].skills_requested | array | null | |
engagements[].skills_fulfilled | boolean | null | |
conversions | array | null | |
conversions[].id | string | null | |
conversions[].goal_id | integer | null | |
conversions[].goal_name | string | null | |
conversions[].timestamp | string | null | |
conversions[].attribution | object | any | |
count | object | any | |
response_time | object | any | |
rating | string | null | |
comment | string | null | |
tags | array | null | |
started_by | string | null | |
triggered | boolean | null | |
triggered_response | boolean | null | |
missed | boolean | null | |
unread | boolean | null | |
deleted | boolean | null | |
message | string | null | |
webpath | array | null | |
webpath[].from | string | null | |
webpath[].timestamp | string | null | |
zendesk_ticket_id | integer | null |
Search and filter chats records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_chat.chats.search(
query={"filter": {"eq": {"id": "<str>"}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": "<str>"}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | string | Unique chat identifier |
timestamp | string | Chat start timestamp |
update_timestamp | string | Last update timestamp |
department_id | integer | Department ID |
department_name | string | Department name |
duration | integer | Chat duration in seconds |
rating | string | Satisfaction rating |
missed | boolean | Whether chat was missed |
agent_ids | array | IDs of agents in chat |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | string | Unique chat identifier |
data[].timestamp | string | Chat start timestamp |
data[].update_timestamp | string | Last update timestamp |
data[].department_id | integer | Department ID |
data[].department_name | string | Department name |
data[].duration | integer | Chat duration in seconds |
data[].rating | string | Satisfaction rating |
data[].missed | boolean | Whether chat was missed |
data[].agent_ids | array | IDs of agents in chat |
List all departments
await zendesk_chat.departments.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
settings | object | any |
Get a department
await zendesk_chat.departments.get(
department_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "get",
"params": {
"department_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
department_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
settings | object | any |
Search and filter departments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_chat.departments.search(
query={"filter": {"eq": {"id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | integer | Department ID |
name | string | Department name |
enabled | boolean | Whether department is enabled |
members | array | Agent IDs in department |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Department ID |
data[].name | string | Department name |
data[].enabled | boolean | Whether department is enabled |
data[].members | array | Agent IDs in department |
List all goals
await zendesk_chat.goals.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "goals",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
attribution_model | string | null | |
attribution_window | integer | null | |
attribution_period | integer | null | |
settings | object | null |
Get a goal
await zendesk_chat.goals.get(
goal_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "goals",
"action": "get",
"params": {
"goal_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
goal_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
attribution_model | string | null | |
attribution_window | integer | null | |
attribution_period | integer | null | |
settings | object | null |
List all roles
await zendesk_chat.roles.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "roles",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
permissions | object | null | |
members_count | integer | null |
Get a role
await zendesk_chat.roles.get(
role_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "roles",
"action": "get",
"params": {
"role_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
role_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
permissions | object | null | |
members_count | integer | null |
Get routing settings
await zendesk_chat.routing_settings.get()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "routing_settings",
"action": "get"
}'
| Field Name | Type | Description |
|---|---|---|
routing_mode | string | null | |
chat_limit | object | null | |
skill_routing | object | null | |
reassignment | object | null | |
auto_idle | object | null | |
auto_accept | object | null |
List all shortcuts
await zendesk_chat.shortcuts.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | string | |
name | string | null | |
message | string | null | |
options | string | null | |
tags | array | null | |
departments | array | null | |
agents | array | null | |
scope | string | null |
Get a shortcut
await zendesk_chat.shortcuts.get(
shortcut_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "get",
"params": {
"shortcut_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
shortcut_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | string | |
name | string | null | |
message | string | null | |
options | string | null | |
tags | array | null | |
departments | array | null | |
agents | array | null | |
scope | string | null |
Search and filter shortcuts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_chat.shortcuts.search(
query={"filter": {"eq": {"id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | integer | Shortcut ID |
name | string | Shortcut name/trigger |
message | string | Shortcut message content |
tags | array | Tags applied when shortcut is used |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Shortcut ID |
data[].name | string | Shortcut name/trigger |
data[].message | string | Shortcut message content |
data[].tags | array | Tags applied when shortcut is used |
List all skills
await zendesk_chat.skills.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "skills",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null |
Get a skill
await zendesk_chat.skills.get(
skill_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "skills",
"action": "get",
"params": {
"skill_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
skill_id | integer | Yes |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null |
List all triggers
await zendesk_chat.triggers.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "list"
}'
| Field Name | Type | Description |
|---|---|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
run_once | boolean | null | |
conditions | array | null | |
actions | array | null | |
departments | array | null | |
definition | object | null |
Search and filter triggers records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_chat.triggers.search(
query={"filter": {"eq": {"id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | integer | Trigger ID |
name | string | Trigger name |
enabled | boolean | Whether trigger is enabled |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Trigger ID |
data[].name | string | Trigger name |
data[].enabled | boolean | Whether trigger is enabled |